/*--------------------------------------------------------------------
 *    The GMTPLUS-system:	@(#)gmtpluspath.c	1.1	3/24/95
 *
 *  Based on...
 *    The GMT-system:	@(#)gmtpath.c	2.1  11/21/91
 *
 *    Copyright (c) 1991 by P. Wessel and W. H. F. Smith
 *    See README file for copying and redistribution conditions.
 *--------------------------------------------------------------------*/
/*
 * gmtpath takes legid(s) as argument and returns the full path
 * to where this data file(s) can be found.
 *
 * Paul Wessel
 * 11/13/87
 *
 *    01/10/94 jcm GMT_Plus - no changes needed 
 *
 * GMTPlus version 03/10/95 jcm
 * Modifications made for gmtplus database system.
 *
 */
 
#include <stdio.h>
#include <gmt.h>

#include "gmtplus_mgg.h"

#define TRUE 1
#define FALSE 0

int gmtpath_func();

int 
main (int argc, char *argv[])
{
	char path[100];
	char head_path[100];
	int i, error = FALSE;
	
	gmtpath_init();

	for (i = 1; !error && i < argc; i++) {
		if (argv[i][0] == '-') {
			error = TRUE;
			continue;
		}
		if (!gmtpath_func (path, head_path, argv[i]))
			printf ("%s\n", path);
		else
			fprintf(stderr, "File %s not found\n", argv[i]);
	}
	if (error || argc == 1) {
		fprintf (stderr, "usage: gmtpluspath gmtlegnames\n");
		exit (-1);
	}
}
	
